package vn.vccorp.msh_mesg_tracking_v2;

import android.content.Context;

import com.mesglog.sdk.MesgLog;
import com.mesglog.sdk.ParamsLog;


public class MessLogV2Native {
    public static String getVersionLibVersion(){
        return MesgLog.getLibVersion();
    }
    public static String getUniquePsuedoID(Context context){
        return MesgLog.getDeviceID(context);
    }
    public boolean sendLogInstall(Context context, String ext){
        return MesgLog.sendLogInstall(context, ext);
    }
    public boolean sendLogConfirm(Context context, String ext){
        return MesgLog.sendLogConfirm(context, ext);
    }
    public boolean sendLogAction(Context context, String ext, String ext2){
        return MesgLog.sendLogAction(context, ext, ext2);
    }
    public boolean sendLogTrackingView(Context context, String domain, String curl, String rurl, String vid, String cov, String ltype, String boxid, String dspid, String algid, String ext){
        return MesgLog.sendLogTrackingView(context, domain, curl, rurl, vid, cov, ltype, boxid, dspid, algid, ext);
    }
    public boolean sendLogClickBanner(Context context, String app_id, String currentActivity, String currentAction, String ext){
        return MesgLog.sendLogClickBanner(context, app_id, currentActivity, currentAction, ext);
    }
}
